Add/Edit Trackers

2012-11-20 19:43 - Aaron Jeter

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 2.1.2

Description

When adding a new tracker or editing an existing tracker from within the administration screen, an internal 500 error is returned. 

Note that an existing tracker can successfully be deleted or sorted.

Environment:++

About your application's environment

Ruby version              1.8.7 (i686-linux)

RubyGems version          1.8.24

Rack version              1.4

Rails version             3.2.8

Active Record version     3.2.8

Action Pack version       3.2.8

Active Resource version   3.2.8

Action Mailer version     3.2.8

Active Support version    3.2.8

Middleware                Rack::Cache, ActionDispatch::Static, Rack::Lock, #<ActiveSupport::Cache:

:Strategy::LocalCache::Middleware:0x99746f0>, Rack::Runtime, Rack::MethodOverride, ActionDispatch:

:RequestId, Rails::Rack::Logger, ActionDispatch::ShowExceptions, ActionDispatch::DebugExceptions, 

ActionDispatch::RemoteIp, ActionDispatch::Callbacks, ActiveRecord::ConnectionAdapters::ConnectionM

anagement, ActiveRecord::QueryCache, ActionDispatch::Cookies, ActionDispatch::Session::CookieStore

, ActionDispatch::Flash, ActionDispatch::ParamsParser, ActionDispatch::Head, Rack::ConditionalGet,

 Rack::ETag, ActionDispatch::BestStandardsSupport, OpenIdAuthentication

Application root          /var/www/railsapp/redmine-2.1.2

Environment               production

Database adapter          mysql (5.1)

Database schema version   20120731164049

 Redmine Production Log Snippet:++

Started GET "/trackers" for 172.23.150.158 at Tue Nov 20 11:39:59 -0700 2012

Processing by TrackersController#index as HTML

  ^[[1m^[[35m (0.1ms)^[[0m  SELECT MAX(`settings`.`updated_on`) AS max_id FROM `settings`

  ^[[1m^[[36mUser Load (0.2ms)^[[0m  ^[[1mSELECT `users`.* FROM `users` WHERE `users`.`type` IN ('

User', 'AnonymousUser') AND `users`.`id` = ? AND (users.status = 1) LIMIT 1^[[0m  [["id", 20]]

  Current user: myuser (id=20)

  ^[[1m^[[35m (0.1ms)^[[0m  SELECT COUNT(*) FROM `trackers`

  ^[[1m^[[36mTracker Load (0.1ms)^[[0m  ^[[1mSELECT `trackers`.* FROM `trackers` ORDER BY position

 LIMIT 10 OFFSET 0^[[0m

  ^[[1m^[[35m (0.1ms)^[[0m  SELECT COUNT(*) FROM `workflows` WHERE `workflows`.`tracker_id` = 6

  ^[[1m^[[36m (0.1ms)^[[0m  ^[[1mSELECT COUNT(*) FROM `workflows` WHERE `workflows`.`tracker_id` =

 7^[[0m

  ^[[1m^[[35m (0.1ms)^[[0m  SELECT COUNT(*) FROM `workflows` WHERE `workflows`.`tracker_id` = 10

  ^[[1m^[[36m (0.1ms)^[[0m  ^[[1mSELECT COUNT(*) FROM `workflows` WHERE `workflows`.`tracker_id` =

 11^[[0m

  ^[[1m^[[35m (0.1ms)^[[0m  SELECT COUNT(*) FROM `workflows` WHERE `workflows`.`tracker_id` = 4

  ^[[1m^[[36m (0.1ms)^[[0m  ^[[1mSELECT COUNT(*) FROM `workflows` WHERE `workflows`.`tracker_id` =

 5^[[0m

  ^[[1m^[[35m (0.1ms)^[[0m  SELECT COUNT(*) FROM `workflows` WHERE `workflows`.`tracker_id` = 8

  Rendered trackers/index.html.erb within layouts/admin (30.2ms)
  Rendered admin/_menu.html.erb (4.6ms)

  ^[[1m^[[36mUserPreference Load (0.1ms)^[[0m  ^[[1mSELECT `user_preferences`.* FROM `user_prefere

nces` WHERE `user_preferences`.`user_id` = 20 LIMIT 1^[[0m

  ^[[1m^[[35mSQL (0.3ms)^[[0m  SELECT `members`.`id` AS t0_r0, `members`.`user_id` AS t0_r1, `memb

ers`.`project_id` AS t0_r2, `members`.`created_on` AS t0_r3, `members`.`mail_notification` AS t0_r

4, `projects`.`id` AS t1_r0, `projects`.`name` AS t1_r1, `projects`.`description` AS t1_r2, `proje

cts`.`homepage` AS t1_r3, `projects`.`is_public` AS t1_r4, `projects`.`parent_id` AS t1_r5, `proje

cts`.`created_on` AS t1_r6, `projects`.`updated_on` AS t1_r7, `projects`.`identifier` AS t1_r8, `p

rojects`.`status` AS t1_r9, `projects`.`lft` AS t1_r10, `projects`.`rgt` AS t1_r11, `roles`.`id` A

S t2_r0, `roles`.`name` AS t2_r1, `roles`.`position` AS t2_r2, `roles`.`assignable` AS t2_r3, `rol

es`.`builtin` AS t2_r4, `roles`.`permissions` AS t2_r5, `roles`.`issues_visibility` AS t2_r6 FROM 

`members` LEFT OUTER JOIN `projects` ON `projects`.`id` = `members`.`project_id` LEFT OUTER JOIN `

member_roles` ON `member_roles`.`member_id` = `members`.`id` LEFT OUTER JOIN `roles` ON `roles`.`i

d` = `member_roles`.`role_id` WHERE `members`.`user_id` = 20 AND (projects.status<>9) ORDER BY pro

jects.name

  Rendered layouts/base.html.erb (20.8ms)

Completed 200 OK in 62ms (Views: 56.0ms | ActiveRecord: 1.6ms)

Started GET "/trackers/new" for 172.23.150.158 at Tue Nov 20 11:40:13 -0700 2012

Processing by TrackersController#new as HTML

  ^[[1m^[[36m (0.1ms)^[[0m  ^[[1mSELECT MAX(`settings`.`updated_on`) AS max_id FROM `settings` ^[[

0m

  ^[[1m^[[35mUser Load (0.1ms)^[[0m  SELECT `users`.* FROM `users` WHERE `users`.`type` IN ('User'

, 'AnonymousUser') AND `users`.`id` = ? AND (users.status = 1) LIMIT 1  [["id", 20]]

  Current user: myuser (id=20)

  ^[[1m^[[36mTracker Load (0.1ms)^[[0m  ^[[1mSELECT `trackers`.* FROM `trackers` ORDER BY position

^[[0m

  ^[[1m^[[35mProject Load (0.2ms)^[[0m  SELECT `projects`.* FROM `projects`

  ^[[1m^[[36mIssueCustomField Load (0.2ms)^[[0m  ^[[1mSELECT `custom_fields`.* FROM `custom_fields

` WHERE `custom_fields`.`type` IN ('IssueCustomField')^[[0m

  Rendered trackers/_form.html.erb (5.9ms)

  Rendered trackers/new.html.erb within layouts/admin (7.0ms)

Completed 500 Internal Server Error in 14ms

ActionView::Template::Error (undefined method `<=>' for nil:NilClass):

    42: <div class="splitcontentright">

    43: <% if @projects.any? %>

    44: <fieldset class="box" id="tracker_project_ids"><legend><%= l(:label_project_plural) %></le

gend>

    45: <%= render_project_nested_lists(@projects) do |p|

    46:   content_tag('label', check_box_tag('tracker[project_ids][]', p.id, @tracker.projects.inc

lude?(p), :id => nil) + ' ' + h(p))

    47: end %>

    48: <%= hidden_field_tag('tracker[project_ids][]', '', :id => nil) %>

  app/helpers/application_helper.rb:206:in `sort_by'

  app/helpers/application_helper.rb:206:in `render_project_nested_lists'

  app/views/trackers/_form.html.erb:45:in `_app_views_trackers__form_html_erb__642035564_106500710

'

  app/views/trackers/new.html.erb:4:in `_app_views_trackers_new_html_erb___248580878_106531550'

  app/helpers/application_helper.rb:978:in `labelled_form_for'

  app/views/trackers/new.html.erb:3:in `_app_views_trackers_new_html_erb___248580878_106531550'

History

#1 - 2012-11-21 21:15 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Cant reproduce

Open a Rails console with `ruby script\rails c production` then run the following command:

Project.rebuild!(false)
